Neue Installation bzw. Aktualisierung klappt nicht

Hier wird Hilfe zur Installation oder bei Fehlermeldungen angeboten
Antworten
t-l
LMO-Neuling
LMO-Neuling
Beiträge: 7
Registriert: Mo 27. Dez 2021, 10:51

Neue Installation bzw. Aktualisierung klappt nicht

Beitrag von t-l »

Hallo,

ich nutzte seit mehreren Jahren den LMO umfangreich auf unserer Vereinsseite bis dieser irgendwann nicht mehr funktionierte. Nunmehr bin ich auf dieses Forum gestoßen und freue mich, dass es doch noch möglich wäre, den LMO wieder zu nutzen. Bevor ich jedoch die aktuelle Version für PHP7 über meine bisherige Installation kopiere, wollte ich den LMO einmal komplett neu in ein Verzeichnis installieren, jedoch komme ich gleich am Anfang nicht weiter und drehe mich bei der Verzeichnisauswahl im Kreis...

EDIT: Manuell habe ich die Neuinstallation jetzt hinbekommen!

Siehe:
http://www.tsv1880ruedersdorf.de/lmo-2022/lmo.php?

Bei einer bestehenden LMO-Version habe ich es dann einmal drüberkopiert, doch da tut sich nichts:
Siehe:
http://www.tsv1880ruedersdorf.de/mini-w ... oadmin.php
http://www.tsv1880ruedersdorf.de/mini-w ... M2014A.l98

Würde mich freuen, wenn ihr bei der Installation weiterhelfen könntet, als neue Installation bzw. dass ich die alten Ligen wieder sichtbar und nutzbar machen kann.

Danke. Grüße Tino
DwB
LMO-Anfänger
LMO-Anfänger
Beiträge: 81
Registriert: Mi 9. Sep 2020, 13:53

Re: Neue Installation bzw. Aktualisierung klappt nicht

Beitrag von DwB »

Hat sich das mit dem Edit nun erledigt?

Im "alten" Link auf den LMO tut sich aus einem einfach Grund nichts: PHP-Code muss seit PHP 7 zwingend mit

Code: Alles auswählen

<?php
eingeleitet werden.

Wenn Du Zugriff auf die php.ini hast, kannst du den Eintrag

Code: Alles auswählen

short_open_tags=On
eintragen, dann geht der alte LMO auch wieder.
Siehe auch https://stackoverflow.com/questions/218 ... short-tags
t-l
LMO-Neuling
LMO-Neuling
Beiträge: 7
Registriert: Mo 27. Dez 2021, 10:51

Re: Neue Installation bzw. Aktualisierung klappt nicht

Beitrag von t-l »

DwB hat geschrieben: Di 28. Dez 2021, 09:10 Hat sich das mit dem Edit nun erledigt?
Ja, habe es manuell hinbekommen.
DwB hat geschrieben: Di 28. Dez 2021, 09:10 Im "alten" Link auf den LMO tut sich aus einem einfach Grund nichts: PHP-Code muss seit PHP 7 zwingend mit

Code: Alles auswählen

<?php
eingeleitet werden.
Wo muss ich

Code: Alles auswählen

<?php
einfügen? In die php.ini?
DwB hat geschrieben: Di 28. Dez 2021, 09:10 Wenn Du Zugriff auf die php.ini hast, kannst du den Eintrag

Code: Alles auswählen

short_open_tags=On
eintragen, dann geht der alte LMO auch wieder.
Siehe auch https://stackoverflow.com/questions/218 ... short-tags
Wo finde ich die php.ini?

Danke. Grüße Tino
DwB
LMO-Anfänger
LMO-Anfänger
Beiträge: 81
Registriert: Mi 9. Sep 2020, 13:53

Re: Neue Installation bzw. Aktualisierung klappt nicht

Beitrag von DwB »

Der zweite Teil ist nur notwendig, wenn Du den alten LMO weiterhin nutzen willst.
Ansonsten empfehle ich den Übertrag evtl. Ligen in den neuen LMO und dessen Nutzung.

Falls erstes zutrifft: die php.ini findest Du auf Deinem Server. Vmtl. wirst Du darauf aber keinen Zugriff haben, daher musst Du den Weg über die auf stackoverflow aufgezeigte Alternative gehen und .htaccess verwenden. Diese hast Du im Zugriff, der LMO liefert auch eine mit. Hier den im verlinkten Beitrag genannten Eintrag vornehmen.
t-l
LMO-Neuling
LMO-Neuling
Beiträge: 7
Registriert: Mo 27. Dez 2021, 10:51

Re: Neue Installation bzw. Aktualisierung klappt nicht

Beitrag von t-l »

DwB hat geschrieben: Mi 29. Dez 2021, 10:39 Falls erstes zutrifft: die php.ini findest Du auf Deinem Server. Vmtl. wirst Du darauf aber keinen Zugriff haben, daher musst Du den Weg über die auf stackoverflow aufgezeigte Alternative gehen und .htaccess verwenden. Diese hast Du im Zugriff, der LMO liefert auch eine mit. Hier den im verlinkten Beitrag genannten Eintrag vornehmen.
An welcher Stelle in der .htaccess muss der Code eingefügt werden?
Benutzeravatar
Henshingly
Administrator
Administrator
Beiträge: 170
Registriert: Sa 1. Sep 2018, 14:21
Wohnort: Lünen

Re: Neue Installation bzw. Aktualisierung klappt nicht

Beitrag von Henshingly »

.htaccess mit einem Texteditor öffnen.

Code: Alles auswählen

php_value short_open_tag 1
Unten hinzufügen. Fertig
Es kann aber sein dass dein Webhoster diesen Umweg deaktiviert hat. Dann funktioniert es nicht.

MfG Henshingly
Kein Support über PN oder eMail. Support gibt es nur im Forum.
Test LMO unter lmo.vest-sport.de
t-l
LMO-Neuling
LMO-Neuling
Beiträge: 7
Registriert: Mo 27. Dez 2021, 10:51

Re: Neue Installation bzw. Aktualisierung klappt nicht

Beitrag von t-l »

Hallo, also in der .htaccess steht jetzt Folgendes:

Code: Alles auswählen

# Kommentieren Sie im unteren Bereich aus, falls ihr Server diesen Befehl nicht unterstützt
# ACHTUNG: IN DIESEM FALL MÜSSEN SIE AUF ANDEREM WEG SICHERSTELLEN, DASS NIEMAND VOM 
# BROWSER AUS ZUGRIFF AUF DIE DATEIEN ERHÄLT!
#
# If you experience problems with following commands you have to comment them out
# ATTENTION: IN THIS CASE YOU HAVE TO PROTECT THE FILES AGAINST ACCESS BY WEB BROWSERS!
#
#
  <FilesMatch "\.(txt|aus|tip|ein|stat|cfg|l98|csv)$">
	deny from all
  </FilesMatch>
  <Files gpl.txt>
	allow from all
  </Files>

# Kommentieren Sie im unteren Bereich aus, falls ihr Server diesen Befehl nicht unterstützt
#
# If you experience problems with following commands you have to comment them out
#
  DirectoryIndex index.php


# Entfernen Sie im unteren Bereich die Kommentarzeichen (#), falls Sie Probleme mit Sessions haben
# ACHTUNG: NICHT ALLE SERVER ERLAUBEN DIESE BEFEHLE!
#
# If you got problems with lost sessions remove follwing comments
# ATTENTION: THIS COMMANDS ARE NOT SUPPORTED BY ALL SERVERS!
#
# php_flag session.use_trans_sid 1
# php_value arg_separator.output &amp;
#
php_value short_open_tag 1
Passt das?

Mir wird jetzt folgende Fehlermeldung angezeigt:
"Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at root@localhost to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log."


Grüße Tino
Benutzeravatar
Henshingly
Administrator
Administrator
Beiträge: 170
Registriert: Sa 1. Sep 2018, 14:21
Wohnort: Lünen

Re: Neue Installation bzw. Aktualisierung klappt nicht

Beitrag von Henshingly »

Henshingly hat geschrieben: Mi 29. Dez 2021, 18:32 .htaccess mit einem Texteditor öffnen.

Code: Alles auswählen

php_value short_open_tag 1
Unten hinzufügen. Fertig
Es kann aber sein dass dein Webhoster diesen Umweg deaktiviert hat. Dann funktioniert es nicht.

MfG Henshingly
t-l hat geschrieben: Di 4. Jan 2022, 17:02 ...
Passt das?
Anscheinend geht es so nicht!
t-l hat geschrieben: Di 4. Jan 2022, 17:02 Mir wird jetzt folgende Fehlermeldung angezeigt:
"....
More information about this error may be available in the server error log."

...
google Übersetzer hat geschrieben:Mi 5. Jan 2022, 08:17 Weitere Informationen zu diesem Fehler sind möglicherweise im Serverfehlerprotokoll verfügbar.
Kein Support über PN oder eMail. Support gibt es nur im Forum.
Test LMO unter lmo.vest-sport.de
DwB
LMO-Anfänger
LMO-Anfänger
Beiträge: 81
Registriert: Mi 9. Sep 2020, 13:53

Re: Neue Installation bzw. Aktualisierung klappt nicht

Beitrag von DwB »

Letzter Ausweg: mittels eines Texteditors wie NotePad++, welcher auch in mehreren Dateien suchen kann, nach <? suchen und mit <?php ersetzen.

Ich vermute jedoch stark, dass Dir dann PHP7 sagen wird, dass etliche PHP-Funktionen deprecated sind.

Empfehlung, falls o.g. Schritt zu dem zweiten führt: ausschließliche Nutzung des für PHP7 angepassten LMOs.
Benutzeravatar
Henshingly
Administrator
Administrator
Beiträge: 170
Registriert: Sa 1. Sep 2018, 14:21
Wohnort: Lünen

Re: Neue Installation bzw. Aktualisierung klappt nicht

Beitrag von Henshingly »

DwB hat geschrieben: Fr 7. Jan 2022, 14:56 Letzter Ausweg: mittels eines Texteditors wie NotePad++, welcher auch in mehreren Dateien suchen kann, nach <? suchen und mit <?php ersetzen.

Ich vermute jedoch stark, dass Dir dann PHP7 sagen wird, dass etliche PHP-Funktionen deprecated sind.
....
Davon würde ich abraten!!!
Es befinden sich sehr viele Stellen im Code die mit oder ähnlichem Code anfangen.
Weiß ich aus Erfahrung, hab ich selbst schon versucht.
😆
Deswegen
DwB hat geschrieben:...
Empfehlung, falls o.g. Schritt zu dem zweiten führt: ausschließliche Nutzung des für PHP7 angepassten LMOs
.
Kein Support über PN oder eMail. Support gibt es nur im Forum.
Test LMO unter lmo.vest-sport.de
Antworten